interface GenericSelectObject<Type> {
    [key: string]: Type;
}
export declare const useMultiSelect: <T>() => {
    objStore: GenericSelectObject<T>;
    storeKeys: string[];
    selectedKeys: string[];
    addObjToStore: (obj: T, keyPrefix?: any) => string;
    delObjFromStore: (key: string) => void;
    delAllObjs: () => void;
    selectObj: (key: string) => void;
    unSelectObj: (key: string) => void;
    selectAll: () => void;
    unSelectAll: () => void;
};
export {};
